Subject: Re: [ippm] AD review: draft-ietf-ippm-more-twamp

From: Al Morton <[email-masked]>
Date: Sat, 02 May 2009 14:47:06 -0400

Hi Lars,

Thanks for your comments.

The final wording might benefit from
an exchange on this one in particular:

At 03:58 PM 4/27/2009, Lars Eggert wrote:
>...Section 4.1., paragraph 1:
> >    This section describes REQUIRED extensions to the behavior of the
> >    TWAMP Sender.
>
>   Section 2 said that this entire draft specifies OPTIONAL
>   functionality.   This section says that the following extensions are
>   REQUIRED. That's a bit of a mismatch. Either this entire document is
>   now required to implement TWAMP, or the extensions are OPTIONAL, but
>   implementations that chose to implement them need to do these. Please
>   make this more clear.

This mode of operation is OPTIONAL of course.  But, once the
Server and Control-Client have agreed to use this mode,
then the Session-Sender and the Session-Reflector MUST
conform to the provisions of this mode (operate using the
Unauthenticated packet format). What seems to be missing
in RFC 2119 is a "CONDITIONALLY REQUIRED" term.

So, here's a paragraph I suggest to add to section 4:

This section describes OPTIONAL extensions. When the Server
has identified the ability to support the mixed security mode,
the Control-Client has selected the mixed security mode in its Set-Up-Response,
and the Server responds with a zero Accept field in the Server-Start message,
then these extensions are conditionally REQUIRED.

It will be good to sort this out, because we'll need this
wording in other TWAMP features.

Al

---

From: Lars Eggert <[email-masked]>
Date: Mon, 4 May 2009 09:31:09 +0300

Hi,

the explanation below make sense  - could you add a few words along  
these lines to the introduction?

Thanks,
Lars

---

From: Al Morton <[email-masked]>
Date: Tue, 05 May 2009 09:55:51 -0400

>these lines to the introduction?

I've addressed all of Lars' comments, and added a few additional
clarifications (to address possible Alfred Hoenes-class Errata
before we get to that stage of development).

http://www.ietf.org/internet-drafts/draft-ietf-ippm-more-twamp-01.txt

This should move us to the next step.

thanks and regards,
Al